org.wildfly.swarm.config

## Class Remoting.RemotingResources

- java.lang.Object
- - org.wildfly.swarm.config.Remoting.RemotingResources

- Enclosing class:
    Remoting<T extends Remoting<T>>

      public static class Remoting.RemotingResources
      extends Object

  Child mutators for Remoting

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemotingResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Connector` | `connector(String key)`
    `List<Connector>` | `connectors()` Get the list of Connector resources
    `EndpointConfiguration` | `endpointConfiguration()` Endpoint configuration
    `HTTPConnector` | `httpConnector(String key)`
    `List<HTTPConnector>` | `httpConnectors()` Get the list of HTTPConnector resources
    `LocalOutboundConnection` | `localOutboundConnection(String key)`
    `List<LocalOutboundConnection>` | `localOutboundConnections()` Get the list of LocalOutboundConnection resources
    `OutboundConnection` | `outboundConnection(String key)`
    `List<OutboundConnection>` | `outboundConnections()` Get the list of OutboundConnection resources
    `RemoteOutboundConnection` | `remoteOutboundConnection(String key)`
    `List<RemoteOutboundConnection>` | `remoteOutboundConnections()` Get the list of RemoteOutboundConnection resources

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemotingResources

          public RemotingResources()

  - ### Method Detail

    - #### httpConnectors

          public List<HTTPConnector> httpConnectors()

      Get the list of HTTPConnector resources
      Returns:
        the list of resources

    - #### httpConnector

          public HTTPConnector httpConnector(String key)

    - #### connectors

          public List<Connector> connectors()

      Get the list of Connector resources
      Returns:
        the list of resources

    - #### connector

          public Connector connector(String key)

    - #### outboundConnections

          public List<OutboundConnection> outboundConnections()

      Get the list of OutboundConnection resources
      Returns:
        the list of resources

    - #### outboundConnection

          public OutboundConnection outboundConnection(String key)

    - #### localOutboundConnections

          public List<LocalOutboundConnection> localOutboundConnections()

      Get the list of LocalOutboundConnection resources
      Returns:
        the list of resources

    - #### localOutboundConnection

          public LocalOutboundConnection localOutboundConnection(String key)

    - #### remoteOutboundConnections

          public List<RemoteOutboundConnection> remoteOutboundConnections()

      Get the list of RemoteOutboundConnection resources
      Returns:
        the list of resources

    - #### remoteOutboundConnection

          public RemoteOutboundConnection remoteOutboundConnection(String key)

    - #### endpointConfiguration

          public EndpointConfiguration endpointConfiguration()

      Endpoint configuration

Copyright © 2018 JBoss by Red Hat. All rights reserved.